from utils.format import format_commit
from utils.git_commands import git_commit
from utils.messages import (
    title,
    instructions,
    commit_instructions,
)


def add_commit(message=''):
    commit_title = f"{format_commit()}: "
    commit_message = message

    if commit_message == '':
        title("Commit Message")
        instructions(commit_instructions)
        commit_message = input(commit_title)

    git_commit(f"{commit_title}{commit_message}")
